Cobalt Docs
Api referenceTransactions

Set transaction tags

Replace the set of tags on a transaction. Use `GET /v1/tags` to discover available tag ids.

PUT
/transactions/{transactionId}/tags

Authorization

bearerAuth
AuthorizationBearer <token>

Cobalt API key (prefix ck_live_). Issue from dashboard → Settings → API keys.

In: header

Path Parameters

transactionId*string

Request Body

application/json

Tag ids to attach

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/transactions/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags" \  -H "Content-Type: application/json" \  -d '{    "tagIds": [      "string"    ]  }'
{
  "accountId": "string",
  "amount": 0,
  "category": "string",
  "date": "string",
  "id": "string",
  "location": {
    "address": "string",
    "city": "string",
    "country": "string",
    "lat": 0,
    "lon": 0,
    "postal_code": "string",
    "region": "string",
    "store_number": "string"
  },
  "merchant": "string",
  "name": "string",
  "notes": "**Reimbursable** — paid for team lunch, expense via Expensify",
  "pending": true,
  "tagIds": [
    "string"
  ]
}
{
  "code": "string",
  "error": "string"
}
{
  "code": "string",
  "error": "string"
}
{
  "error": {
    "issues": [
      {
        "code": "string",
        "message": "string",
        "path": [
          "string"
        ]
      }
    ],
    "name": "string"
  },
  "success": true
}